#include <Wire.h>

const int threshold = 600;
const int srate = 100;
const int lpfsps = 10;

int sensorPin = 1;
int speakerPin = 9;
int ledPin = 13;

int cumsum = 0, val = 0;
int lcnt = 0;
int note = 0;

boolean onset = false;

int tempo = 40;

int length = 15; // the number of notes
int beats[] = { 1, 1, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 2, 4 };

char notes[] = "ccggaagffeeddc"; // a space represents a rest

void playTone(int tone, int duration) {
  for (long i = 0; i < duration * 1000L; i += tone * 2) {
    digitalWrite(speakerPin, HIGH);
    delayMicroseconds(tone);
    digitalWrite(speakerPin, LOW);
    delayMicroseconds(tone);
  }
}

void playNote(char note, int duration) {
  char names[] = { 'c', 'd', 'e', 'f', 'g', 'a', 'b', 'C' };
  int tones[] = { 1915, 1700, 1519, 1432, 1275, 1136, 1014, 956 };

  // play the tone corresponding to the note name
  for (int i = 0; i < 8; i++) {
    if (names[i] == note) {
      playTone(tones[i], duration);
    }
  }
}

void setup() {
  Serial.begin(115200);
  pinMode(speakerPin, OUTPUT);
}

void loop() {
  Serial.println();
  delay(500);
  val = analogRead(sensorPin);
  cumsum = abs(val - 283);
  if (val > 320) {
    playNote(notes[note], beats[note] * tempo);
    delay(200);
    playNote(notes[note], beats[note] * tempo);
    delay(200);
    playNote(notes[note], beats[note] * tempo);
    delay(200);
    playNote(notes[note], beats[note] * tempo);

  }

  Serial.print(val);
  Serial.println('\n');


  delay(1000 / srate);
}
